4 files modified
25 files added
| New file |
| | |
| | | 8fe8a906a5a5cc31c8aee6953db98ab275def06d not-for-merge branch 'master' of http://192.168.0.105:10010/r/Inspection-uniapp |
| New file |
| | |
| | | ref: refs/heads/master |
| New file |
| | |
| | | import http from '@/http/api.js' |
| | | |
| | | |
| | | export const getDicList = (code) => { |
| | | return http.request({ |
| | | url: '/blade-system/dict-biz/dictionary', |
| | | method: 'get', |
| | | params: { |
| | | code |
| | | } |
| | | }) |
| | | } |
| New file |
| | |
| | | import http from '@/http/api.js' |
| | | |
| | | export const add = (row) => { |
| | | return http.request({ |
| | | url: '/eventgm/eventgm/submit', |
| | | method: 'post', |
| | | data: row |
| | | }) |
| | | } |
| | |
| | | } |
| | | }) |
| | | } |
| | | |
| | | export const getDetail = (id) => { |
| | | return http.request({ |
| | | url: '/taskInfo/taskinfo/detail', |
| | |
| | | } |
| | | }) |
| | | } |
| | | export const update = (row) =>{ |
| | | return http.request({ |
| | | url:'/taskInfo/taskinfo/submit', |
| | | method:'POST', |
| | | data:row |
| | | }) |
| | | } |
| New file |
| | |
| | | [core] |
| | | bare = true |
| | | repositoryformatversion = 0 |
| | | filemode = false |
| | | symlinks = false |
| | | ignorecase = true |
| | | [remote "origin"] |
| | | url = http://192.168.0.105:10010/r/Inspection-uniapp.git |
| | | fetch = +refs/heads/*:refs/remotes/origin/* |
| New file |
| | |
| | | Unnamed repository; edit this file 'description' to name the repository. |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to check the commit log message taken by |
| | | # applypatch from an e-mail message. |
| | | # |
| | | # The hook should exit with non-zero status after issuing an |
| | | # appropriate message if it wants to stop the commit. The hook is |
| | | # allowed to edit the commit message file. |
| | | # |
| | | # To enable this hook, rename this file to "applypatch-msg". |
| | | |
| | | . git-sh-setup |
| | | commitmsg="$(git rev-parse --git-path hooks/commit-msg)" |
| | | test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} |
| | | : |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to check the commit log message. |
| | | # Called by "git commit" with one argument, the name of the file |
| | | # that has the commit message. The hook should exit with non-zero |
| | | # status after issuing an appropriate message if it wants to stop the |
| | | # commit. The hook is allowed to edit the commit message file. |
| | | # |
| | | # To enable this hook, rename this file to "commit-msg". |
| | | |
| | | # Uncomment the below to add a Signed-off-by line to the message. |
| | | # Doing this in a hook is a bad idea in general, but the prepare-commit-msg |
| | | # hook is more suited to it. |
| | | # |
| | | # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') |
| | | # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1" |
| | | |
| | | # This example catches duplicate Signed-off-by lines. |
| | | |
| | | test "" = "$(grep '^Signed-off-by: ' "$1" | |
| | | sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || { |
| | | echo >&2 Duplicate Signed-off-by lines. |
| | | exit 1 |
| | | } |
| New file |
| | |
| | | #!/usr/bin/perl |
| | | |
| | | use strict; |
| | | use warnings; |
| | | use IPC::Open2; |
| | | |
| | | # An example hook script to integrate Watchman |
| | | # (https://facebook.github.io/watchman/) with git to speed up detecting |
| | | # new and modified files. |
| | | # |
| | | # The hook is passed a version (currently 2) and last update token |
| | | # formatted as a string and outputs to stdout a new update token and |
| | | # all files that have been modified since the update token. Paths must |
| | | # be relative to the root of the working tree and separated by a single NUL. |
| | | # |
| | | # To enable this hook, rename this file to "query-watchman" and set |
| | | # 'git config core.fsmonitor .git/hooks/query-watchman' |
| | | # |
| | | my ($version, $last_update_token) = @ARGV; |
| | | |
| | | # Uncomment for debugging |
| | | # print STDERR "$0 $version $last_update_token\n"; |
| | | |
| | | # Check the hook interface version |
| | | if ($version ne 2) { |
| | | die "Unsupported query-fsmonitor hook version '$version'.\n" . |
| | | "Falling back to scanning...\n"; |
| | | } |
| | | |
| | | my $git_work_tree = get_working_dir(); |
| | | |
| | | my $retry = 1; |
| | | |
| | | my $json_pkg; |
| | | eval { |
| | | require JSON::XS; |
| | | $json_pkg = "JSON::XS"; |
| | | 1; |
| | | } or do { |
| | | require JSON::PP; |
| | | $json_pkg = "JSON::PP"; |
| | | }; |
| | | |
| | | launch_watchman(); |
| | | |
| | | sub launch_watchman { |
| | | my $o = watchman_query(); |
| | | if (is_work_tree_watched($o)) { |
| | | output_result($o->{clock}, @{$o->{files}}); |
| | | } |
| | | } |
| | | |
| | | sub output_result { |
| | | my ($clockid, @files) = @_; |
| | | |
| | | # Uncomment for debugging watchman output |
| | | # open (my $fh, ">", ".git/watchman-output.out"); |
| | | # binmode $fh, ":utf8"; |
| | | # print $fh "$clockid\n@files\n"; |
| | | # close $fh; |
| | | |
| | | binmode STDOUT, ":utf8"; |
| | | print $clockid; |
| | | print "\0"; |
| | | local $, = "\0"; |
| | | print @files; |
| | | } |
| | | |
| | | sub watchman_clock { |
| | | my $response = qx/watchman clock "$git_work_tree"/; |
| | | die "Failed to get clock id on '$git_work_tree'.\n" . |
| | | "Falling back to scanning...\n" if $? != 0; |
| | | |
| | | return $json_pkg->new->utf8->decode($response); |
| | | } |
| | | |
| | | sub watchman_query { |
| | | my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty') |
| | | or die "open2() failed: $!\n" . |
| | | "Falling back to scanning...\n"; |
| | | |
| | | # In the query expression below we're asking for names of files that |
| | | # changed since $last_update_token but not from the .git folder. |
| | | # |
| | | # To accomplish this, we're using the "since" generator to use the |
| | | # recency index to select candidate nodes and "fields" to limit the |
| | | # output to file names only. Then we're using the "expression" term to |
| | | # further constrain the results. |
| | | my $last_update_line = ""; |
| | | if (substr($last_update_token, 0, 1) eq "c") { |
| | | $last_update_token = "\"$last_update_token\""; |
| | | $last_update_line = qq[\n"since": $last_update_token,]; |
| | | } |
| | | my $query = <<" END"; |
| | | ["query", "$git_work_tree", {$last_update_line |
| | | "fields": ["name"], |
| | | "expression": ["not", ["dirname", ".git"]] |
| | | }] |
| | | END |
| | | |
| | | # Uncomment for debugging the watchman query |
| | | # open (my $fh, ">", ".git/watchman-query.json"); |
| | | # print $fh $query; |
| | | # close $fh; |
| | | |
| | | print CHLD_IN $query; |
| | | close CHLD_IN; |
| | | my $response = do {local $/; <CHLD_OUT>}; |
| | | |
| | | # Uncomment for debugging the watch response |
| | | # open ($fh, ">", ".git/watchman-response.json"); |
| | | # print $fh $response; |
| | | # close $fh; |
| | | |
| | | die "Watchman: command returned no output.\n" . |
| | | "Falling back to scanning...\n" if $response eq ""; |
| | | die "Watchman: command returned invalid output: $response\n" . |
| | | "Falling back to scanning...\n" unless $response =~ /^\{/; |
| | | |
| | | return $json_pkg->new->utf8->decode($response); |
| | | } |
| | | |
| | | sub is_work_tree_watched { |
| | | my ($output) = @_; |
| | | my $error = $output->{error}; |
| | | if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) { |
| | | $retry--; |
| | | my $response = qx/watchman watch "$git_work_tree"/; |
| | | die "Failed to make watchman watch '$git_work_tree'.\n" . |
| | | "Falling back to scanning...\n" if $? != 0; |
| | | $output = $json_pkg->new->utf8->decode($response); |
| | | $error = $output->{error}; |
| | | die "Watchman: $error.\n" . |
| | | "Falling back to scanning...\n" if $error; |
| | | |
| | | # Uncomment for debugging watchman output |
| | | # open (my $fh, ">", ".git/watchman-output.out"); |
| | | # close $fh; |
| | | |
| | | # Watchman will always return all files on the first query so |
| | | # return the fast "everything is dirty" flag to git and do the |
| | | # Watchman query just to get it over with now so we won't pay |
| | | # the cost in git to look up each individual file. |
| | | my $o = watchman_clock(); |
| | | $error = $output->{error}; |
| | | |
| | | die "Watchman: $error.\n" . |
| | | "Falling back to scanning...\n" if $error; |
| | | |
| | | output_result($o->{clock}, ("/")); |
| | | $last_update_token = $o->{clock}; |
| | | |
| | | eval { launch_watchman() }; |
| | | return 0; |
| | | } |
| | | |
| | | die "Watchman: $error.\n" . |
| | | "Falling back to scanning...\n" if $error; |
| | | |
| | | return 1; |
| | | } |
| | | |
| | | sub get_working_dir { |
| | | my $working_dir; |
| | | if ($^O =~ 'msys' || $^O =~ 'cygwin') { |
| | | $working_dir = Win32::GetCwd(); |
| | | $working_dir =~ tr/\\/\//; |
| | | } else { |
| | | require Cwd; |
| | | $working_dir = Cwd::cwd(); |
| | | } |
| | | |
| | | return $working_dir; |
| | | } |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to prepare a packed repository for use over |
| | | # dumb transports. |
| | | # |
| | | # To enable this hook, rename this file to "post-update". |
| | | |
| | | exec git update-server-info |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to verify what is about to be committed |
| | | # by applypatch from an e-mail message. |
| | | # |
| | | # The hook should exit with non-zero status after issuing an |
| | | # appropriate message if it wants to stop the commit. |
| | | # |
| | | # To enable this hook, rename this file to "pre-applypatch". |
| | | |
| | | . git-sh-setup |
| | | precommit="$(git rev-parse --git-path hooks/pre-commit)" |
| | | test -x "$precommit" && exec "$precommit" ${1+"$@"} |
| | | : |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to verify what is about to be committed. |
| | | # Called by "git commit" with no arguments. The hook should |
| | | # exit with non-zero status after issuing an appropriate message if |
| | | # it wants to stop the commit. |
| | | # |
| | | # To enable this hook, rename this file to "pre-commit". |
| | | |
| | | if git rev-parse --verify HEAD >/dev/null 2>&1 |
| | | then |
| | | against=HEAD |
| | | else |
| | | # Initial commit: diff against an empty tree object |
| | | against=$(git hash-object -t tree /dev/null) |
| | | fi |
| | | |
| | | # If you want to allow non-ASCII filenames set this variable to true. |
| | | allownonascii=$(git config --type=bool hooks.allownonascii) |
| | | |
| | | # Redirect output to stderr. |
| | | exec 1>&2 |
| | | |
| | | # Cross platform projects tend to avoid non-ASCII filenames; prevent |
| | | # them from being added to the repository. We exploit the fact that the |
| | | # printable range starts at the space character and ends with tilde. |
| | | if [ "$allownonascii" != "true" ] && |
| | | # Note that the use of brackets around a tr range is ok here, (it's |
| | | # even required, for portability to Solaris 10's /usr/bin/tr), since |
| | | # the square bracket bytes happen to fall in the designated range. |
| | | test $(git diff --cached --name-only --diff-filter=A -z $against | |
| | | LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0 |
| | | then |
| | | cat <<\EOF |
| | | Error: Attempt to add a non-ASCII file name. |
| | | |
| | | This can cause problems if you want to work with people on other platforms. |
| | | |
| | | To be portable it is advisable to rename the file. |
| | | |
| | | If you know what you are doing you can disable this check using: |
| | | |
| | | git config hooks.allownonascii true |
| | | EOF |
| | | exit 1 |
| | | fi |
| | | |
| | | # If there are whitespace errors, print the offending file names and fail. |
| | | exec git diff-index --check --cached $against -- |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to verify what is about to be committed. |
| | | # Called by "git merge" with no arguments. The hook should |
| | | # exit with non-zero status after issuing an appropriate message to |
| | | # stderr if it wants to stop the merge commit. |
| | | # |
| | | # To enable this hook, rename this file to "pre-merge-commit". |
| | | |
| | | . git-sh-setup |
| | | test -x "$GIT_DIR/hooks/pre-commit" && |
| | | exec "$GIT_DIR/hooks/pre-commit" |
| | | : |
| New file |
| | |
| | | #!/bin/sh |
| | | |
| | | # An example hook script to verify what is about to be pushed. Called by "git |
| | | # push" after it has checked the remote status, but before anything has been |
| | | # pushed. If this script exits with a non-zero status nothing will be pushed. |
| | | # |
| | | # This hook is called with the following parameters: |
| | | # |
| | | # $1 -- Name of the remote to which the push is being done |
| | | # $2 -- URL to which the push is being done |
| | | # |
| | | # If pushing without using a named remote those arguments will be equal. |
| | | # |
| | | # Information about the commits which are being pushed is supplied as lines to |
| | | # the standard input in the form: |
| | | # |
| | | # <local ref> <local oid> <remote ref> <remote oid> |
| | | # |
| | | # This sample shows how to prevent push of commits where the log message starts |
| | | # with "WIP" (work in progress). |
| | | |
| | | remote="$1" |
| | | url="$2" |
| | | |
| | | zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0') |
| | | |
| | | while read local_ref local_oid remote_ref remote_oid |
| | | do |
| | | if test "$local_oid" = "$zero" |
| | | then |
| | | # Handle delete |
| | | : |
| | | else |
| | | if test "$remote_oid" = "$zero" |
| | | then |
| | | # New branch, examine all commits |
| | | range="$local_oid" |
| | | else |
| | | # Update to existing branch, examine new commits |
| | | range="$remote_oid..$local_oid" |
| | | fi |
| | | |
| | | # Check for WIP commit |
| | | commit=$(git rev-list -n 1 --grep '^WIP' "$range") |
| | | if test -n "$commit" |
| | | then |
| | | echo >&2 "Found WIP commit in $local_ref, not pushing" |
| | | exit 1 |
| | | fi |
| | | fi |
| | | done |
| | | |
| | | exit 0 |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # Copyright (c) 2006, 2008 Junio C Hamano |
| | | # |
| | | # The "pre-rebase" hook is run just before "git rebase" starts doing |
| | | # its job, and can prevent the command from running by exiting with |
| | | # non-zero status. |
| | | # |
| | | # The hook is called with the following parameters: |
| | | # |
| | | # $1 -- the upstream the series was forked from. |
| | | # $2 -- the branch being rebased (or empty when rebasing the current branch). |
| | | # |
| | | # This sample shows how to prevent topic branches that are already |
| | | # merged to 'next' branch from getting rebased, because allowing it |
| | | # would result in rebasing already published history. |
| | | |
| | | publish=next |
| | | basebranch="$1" |
| | | if test "$#" = 2 |
| | | then |
| | | topic="refs/heads/$2" |
| | | else |
| | | topic=`git symbolic-ref HEAD` || |
| | | exit 0 ;# we do not interrupt rebasing detached HEAD |
| | | fi |
| | | |
| | | case "$topic" in |
| | | refs/heads/??/*) |
| | | ;; |
| | | *) |
| | | exit 0 ;# we do not interrupt others. |
| | | ;; |
| | | esac |
| | | |
| | | # Now we are dealing with a topic branch being rebased |
| | | # on top of master. Is it OK to rebase it? |
| | | |
| | | # Does the topic really exist? |
| | | git show-ref -q "$topic" || { |
| | | echo >&2 "No such branch $topic" |
| | | exit 1 |
| | | } |
| | | |
| | | # Is topic fully merged to master? |
| | | not_in_master=`git rev-list --pretty=oneline ^master "$topic"` |
| | | if test -z "$not_in_master" |
| | | then |
| | | echo >&2 "$topic is fully merged to master; better remove it." |
| | | exit 1 ;# we could allow it, but there is no point. |
| | | fi |
| | | |
| | | # Is topic ever merged to next? If so you should not be rebasing it. |
| | | only_next_1=`git rev-list ^master "^$topic" ${publish} | sort` |
| | | only_next_2=`git rev-list ^master ${publish} | sort` |
| | | if test "$only_next_1" = "$only_next_2" |
| | | then |
| | | not_in_topic=`git rev-list "^$topic" master` |
| | | if test -z "$not_in_topic" |
| | | then |
| | | echo >&2 "$topic is already up to date with master" |
| | | exit 1 ;# we could allow it, but there is no point. |
| | | else |
| | | exit 0 |
| | | fi |
| | | else |
| | | not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"` |
| | | /usr/bin/perl -e ' |
| | | my $topic = $ARGV[0]; |
| | | my $msg = "* $topic has commits already merged to public branch:\n"; |
| | | my (%not_in_next) = map { |
| | | /^([0-9a-f]+) /; |
| | | ($1 => 1); |
| | | } split(/\n/, $ARGV[1]); |
| | | for my $elem (map { |
| | | /^([0-9a-f]+) (.*)$/; |
| | | [$1 => $2]; |
| | | } split(/\n/, $ARGV[2])) { |
| | | if (!exists $not_in_next{$elem->[0]}) { |
| | | if ($msg) { |
| | | print STDERR $msg; |
| | | undef $msg; |
| | | } |
| | | print STDERR " $elem->[1]\n"; |
| | | } |
| | | } |
| | | ' "$topic" "$not_in_next" "$not_in_master" |
| | | exit 1 |
| | | fi |
| | | |
| | | <<\DOC_END |
| | | |
| | | This sample hook safeguards topic branches that have been |
| | | published from being rewound. |
| | | |
| | | The workflow assumed here is: |
| | | |
| | | * Once a topic branch forks from "master", "master" is never |
| | | merged into it again (either directly or indirectly). |
| | | |
| | | * Once a topic branch is fully cooked and merged into "master", |
| | | it is deleted. If you need to build on top of it to correct |
| | | earlier mistakes, a new topic branch is created by forking at |
| | | the tip of the "master". This is not strictly necessary, but |
| | | it makes it easier to keep your history simple. |
| | | |
| | | * Whenever you need to test or publish your changes to topic |
| | | branches, merge them into "next" branch. |
| | | |
| | | The script, being an example, hardcodes the publish branch name |
| | | to be "next", but it is trivial to make it configurable via |
| | | $GIT_DIR/config mechanism. |
| | | |
| | | With this workflow, you would want to know: |
| | | |
| | | (1) ... if a topic branch has ever been merged to "next". Young |
| | | topic branches can have stupid mistakes you would rather |
| | | clean up before publishing, and things that have not been |
| | | merged into other branches can be easily rebased without |
| | | affecting other people. But once it is published, you would |
| | | not want to rewind it. |
| | | |
| | | (2) ... if a topic branch has been fully merged to "master". |
| | | Then you can delete it. More importantly, you should not |
| | | build on top of it -- other people may already want to |
| | | change things related to the topic as patches against your |
| | | "master", so if you need further changes, it is better to |
| | | fork the topic (perhaps with the same name) afresh from the |
| | | tip of "master". |
| | | |
| | | Let's look at this example: |
| | | |
| | | o---o---o---o---o---o---o---o---o---o "next" |
| | | / / / / |
| | | / a---a---b A / / |
| | | / / / / |
| | | / / c---c---c---c B / |
| | | / / / \ / |
| | | / / / b---b C \ / |
| | | / / / / \ / |
| | | ---o---o---o---o---o---o---o---o---o---o---o "master" |
| | | |
| | | |
| | | A, B and C are topic branches. |
| | | |
| | | * A has one fix since it was merged up to "next". |
| | | |
| | | * B has finished. It has been fully merged up to "master" and "next", |
| | | and is ready to be deleted. |
| | | |
| | | * C has not merged to "next" at all. |
| | | |
| | | We would want to allow C to be rebased, refuse A, and encourage |
| | | B to be deleted. |
| | | |
| | | To compute (1): |
| | | |
| | | git rev-list ^master ^topic next |
| | | git rev-list ^master next |
| | | |
| | | if these match, topic has not merged in next at all. |
| | | |
| | | To compute (2): |
| | | |
| | | git rev-list master..topic |
| | | |
| | | if this is empty, it is fully merged to "master". |
| | | |
| | | DOC_END |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to make use of push options. |
| | | # The example simply echoes all push options that start with 'echoback=' |
| | | # and rejects all pushes when the "reject" push option is used. |
| | | # |
| | | # To enable this hook, rename this file to "pre-receive". |
| | | |
| | | if test -n "$GIT_PUSH_OPTION_COUNT" |
| | | then |
| | | i=0 |
| | | while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" |
| | | do |
| | | eval "value=\$GIT_PUSH_OPTION_$i" |
| | | case "$value" in |
| | | echoback=*) |
| | | echo "echo from the pre-receive-hook: ${value#*=}" >&2 |
| | | ;; |
| | | reject) |
| | | exit 1 |
| | | esac |
| | | i=$((i + 1)) |
| | | done |
| | | fi |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to prepare the commit log message. |
| | | # Called by "git commit" with the name of the file that has the |
| | | # commit message, followed by the description of the commit |
| | | # message's source. The hook's purpose is to edit the commit |
| | | # message file. If the hook fails with a non-zero status, |
| | | # the commit is aborted. |
| | | # |
| | | # To enable this hook, rename this file to "prepare-commit-msg". |
| | | |
| | | # This hook includes three examples. The first one removes the |
| | | # "# Please enter the commit message..." help message. |
| | | # |
| | | # The second includes the output of "git diff --name-status -r" |
| | | # into the message, just before the "git status" output. It is |
| | | # commented because it doesn't cope with --amend or with squashed |
| | | # commits. |
| | | # |
| | | # The third example adds a Signed-off-by line to the message, that can |
| | | # still be edited. This is rarely a good idea. |
| | | |
| | | COMMIT_MSG_FILE=$1 |
| | | COMMIT_SOURCE=$2 |
| | | SHA1=$3 |
| | | |
| | | /usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE" |
| | | |
| | | # case "$COMMIT_SOURCE,$SHA1" in |
| | | # ,|template,) |
| | | # /usr/bin/perl -i.bak -pe ' |
| | | # print "\n" . `git diff --cached --name-status -r` |
| | | # if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;; |
| | | # *) ;; |
| | | # esac |
| | | |
| | | # SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') |
| | | # git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE" |
| | | # if test -z "$COMMIT_SOURCE" |
| | | # then |
| | | # /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE" |
| | | # fi |
| New file |
| | |
| | | #!/bin/sh |
| | | |
| | | # An example hook script to update a checked-out tree on a git push. |
| | | # |
| | | # This hook is invoked by git-receive-pack(1) when it reacts to git |
| | | # push and updates reference(s) in its repository, and when the push |
| | | # tries to update the branch that is currently checked out and the |
| | | # receive.denyCurrentBranch configuration variable is set to |
| | | # updateInstead. |
| | | # |
| | | # By default, such a push is refused if the working tree and the index |
| | | # of the remote repository has any difference from the currently |
| | | # checked out commit; when both the working tree and the index match |
| | | # the current commit, they are updated to match the newly pushed tip |
| | | # of the branch. This hook is to be used to override the default |
| | | # behaviour; however the code below reimplements the default behaviour |
| | | # as a starting point for convenient modification. |
| | | # |
| | | # The hook receives the commit with which the tip of the current |
| | | # branch is going to be updated: |
| | | commit=$1 |
| | | |
| | | # It can exit with a non-zero status to refuse the push (when it does |
| | | # so, it must not modify the index or the working tree). |
| | | die () { |
| | | echo >&2 "$*" |
| | | exit 1 |
| | | } |
| | | |
| | | # Or it can make any necessary changes to the working tree and to the |
| | | # index to bring them to the desired state when the tip of the current |
| | | # branch is updated to the new commit, and exit with a zero status. |
| | | # |
| | | # For example, the hook can simply run git read-tree -u -m HEAD "$1" |
| | | # in order to emulate git fetch that is run in the reverse direction |
| | | # with git push, as the two-tree form of git read-tree -u -m is |
| | | # essentially the same as git switch or git checkout that switches |
| | | # branches while keeping the local changes in the working tree that do |
| | | # not interfere with the difference between the branches. |
| | | |
| | | # The below is a more-or-less exact translation to shell of the C code |
| | | # for the default behaviour for git's push-to-checkout hook defined in |
| | | # the push_to_deploy() function in builtin/receive-pack.c. |
| | | # |
| | | # Note that the hook will be executed from the repository directory, |
| | | # not from the working tree, so if you want to perform operations on |
| | | # the working tree, you will have to adapt your code accordingly, e.g. |
| | | # by adding "cd .." or using relative paths. |
| | | |
| | | if ! git update-index -q --ignore-submodules --refresh |
| | | then |
| | | die "Up-to-date check failed" |
| | | fi |
| | | |
| | | if ! git diff-files --quiet --ignore-submodules -- |
| | | then |
| | | die "Working directory has unstaged changes" |
| | | fi |
| | | |
| | | # This is a rough translation of: |
| | | # |
| | | # head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX |
| | | if git cat-file -e HEAD 2>/dev/null |
| | | then |
| | | head=HEAD |
| | | else |
| | | head=$(git hash-object -t tree --stdin </dev/null) |
| | | fi |
| | | |
| | | if ! git diff-index --quiet --cached --ignore-submodules $head -- |
| | | then |
| | | die "Working directory has staged changes" |
| | | fi |
| | | |
| | | if ! git read-tree -u -m "$commit" |
| | | then |
| | | die "Could not update working tree to new HEAD" |
| | | fi |
| New file |
| | |
| | | #!/bin/sh |
| | | # |
| | | # An example hook script to block unannotated tags from entering. |
| | | # Called by "git receive-pack" with arguments: refname sha1-old sha1-new |
| | | # |
| | | # To enable this hook, rename this file to "update". |
| | | # |
| | | # Config |
| | | # ------ |
| | | # hooks.allowunannotated |
| | | # This boolean sets whether unannotated tags will be allowed into the |
| | | # repository. By default they won't be. |
| | | # hooks.allowdeletetag |
| | | # This boolean sets whether deleting tags will be allowed in the |
| | | # repository. By default they won't be. |
| | | # hooks.allowmodifytag |
| | | # This boolean sets whether a tag may be modified after creation. By default |
| | | # it won't be. |
| | | # hooks.allowdeletebranch |
| | | # This boolean sets whether deleting branches will be allowed in the |
| | | # repository. By default they won't be. |
| | | # hooks.denycreatebranch |
| | | # This boolean sets whether remotely creating branches will be denied |
| | | # in the repository. By default this is allowed. |
| | | # |
| | | |
| | | # --- Command line |
| | | refname="$1" |
| | | oldrev="$2" |
| | | newrev="$3" |
| | | |
| | | # --- Safety check |
| | | if [ -z "$GIT_DIR" ]; then |
| | | echo "Don't run this script from the command line." >&2 |
| | | echo " (if you want, you could supply GIT_DIR then run" >&2 |
| | | echo " $0 <ref> <oldrev> <newrev>)" >&2 |
| | | exit 1 |
| | | fi |
| | | |
| | | if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then |
| | | echo "usage: $0 <ref> <oldrev> <newrev>" >&2 |
| | | exit 1 |
| | | fi |
| | | |
| | | # --- Config |
| | | allowunannotated=$(git config --type=bool hooks.allowunannotated) |
| | | allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch) |
| | | denycreatebranch=$(git config --type=bool hooks.denycreatebranch) |
| | | allowdeletetag=$(git config --type=bool hooks.allowdeletetag) |
| | | allowmodifytag=$(git config --type=bool hooks.allowmodifytag) |
| | | |
| | | # check for no description |
| | | projectdesc=$(sed -e '1q' "$GIT_DIR/description") |
| | | case "$projectdesc" in |
| | | "Unnamed repository"* | "") |
| | | echo "*** Project description file hasn't been set" >&2 |
| | | exit 1 |
| | | ;; |
| | | esac |
| | | |
| | | # --- Check types |
| | | # if $newrev is 0000...0000, it's a commit to delete a ref. |
| | | zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0') |
| | | if [ "$newrev" = "$zero" ]; then |
| | | newrev_type=delete |
| | | else |
| | | newrev_type=$(git cat-file -t $newrev) |
| | | fi |
| | | |
| | | case "$refname","$newrev_type" in |
| | | refs/tags/*,commit) |
| | | # un-annotated tag |
| | | short_refname=${refname##refs/tags/} |
| | | if [ "$allowunannotated" != "true" ]; then |
| | | echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2 |
| | | echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | refs/tags/*,delete) |
| | | # delete tag |
| | | if [ "$allowdeletetag" != "true" ]; then |
| | | echo "*** Deleting a tag is not allowed in this repository" >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | refs/tags/*,tag) |
| | | # annotated tag |
| | | if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1 |
| | | then |
| | | echo "*** Tag '$refname' already exists." >&2 |
| | | echo "*** Modifying a tag is not allowed in this repository." >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | refs/heads/*,commit) |
| | | # branch |
| | | if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then |
| | | echo "*** Creating a branch is not allowed in this repository" >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | refs/heads/*,delete) |
| | | # delete branch |
| | | if [ "$allowdeletebranch" != "true" ]; then |
| | | echo "*** Deleting a branch is not allowed in this repository" >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | refs/remotes/*,commit) |
| | | # tracking branch |
| | | ;; |
| | | refs/remotes/*,delete) |
| | | # delete tracking branch |
| | | if [ "$allowdeletebranch" != "true" ]; then |
| | | echo "*** Deleting a tracking branch is not allowed in this repository" >&2 |
| | | exit 1 |
| | | fi |
| | | ;; |
| | | *) |
| | | # Anything else (is there anything else?) |
| | | echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2 |
| | | exit 1 |
| | | ;; |
| | | esac |
| | | |
| | | # --- Finished |
| | | exit 0 |
| New file |
| | |
| | | # git ls-files --others --exclude-from=.git/info/exclude |
| | | # Lines that start with '#' are comments. |
| | | # For a project mostly in C, the following would be a good set of |
| | | # exclude patterns (uncomment them if you want to use them): |
| | | # *.[oa] |
| | | # *~ |
| | |
| | | { |
| | | "name": "Rider", |
| | | "appid": "__UNI__C29A206", |
| | | "description": "", |
| | | "versionName": "1.0.0", |
| | | "versionCode": "100", |
| | | "transformPx": false, |
| | | /* 5+App特有相关 */ |
| | | "app-plus": { |
| | | "safearea": { |
| | | "bottom": { |
| | | "offset": "none" |
| | | } |
| | | }, |
| | | "usingComponents": true, |
| | | "nvueCompiler": "uni-app", |
| | | "compilerVersion": 3, |
| | | "splashscreen": { |
| | | "alwaysShowBeforeRender": true, |
| | | "waiting": true, |
| | | "autoclose": true, |
| | | "delay": 0 |
| | | }, |
| | | /* 模块配置 */ |
| | | "modules": { |
| | | "Geolocation": {} |
| | | }, |
| | | /* 应用发布信息 */ |
| | | "distribute": { |
| | | /* android打包配置 */ |
| | | "android": { |
| | | "permissions": [ |
| | | "<uses-feature android:name=\"android.hardware.camera\"/>", |
| | | "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CAMERA\"/>", |
| | | "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>", |
| | | "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>", |
| | | "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>", |
| | | "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>", |
| | | "<uses-permission android:name=\"android.permission.READ_LOGS\"/>", |
| | | "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>", |
| | | "<uses-permission android:name=\"android.permission.VIBRATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>", |
| | | "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>", |
| | | "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>" |
| | | ] |
| | | }, |
| | | /* ios打包配置 */ |
| | | "ios": {}, |
| | | /* SDK配置 */ |
| | | "sdkConfigs": { |
| | | "ad": {}, |
| | | "geolocation": { |
| | | "system": { |
| | | "__platform__": ["ios", "android"] |
| | | } |
| | | } |
| | | } |
| | | } |
| | | }, |
| | | /* 快应用特有相关 */ |
| | | "quickapp": {}, |
| | | /* 小程序特有相关 */ |
| | | "mp-weixin": { |
| | | "appid": "wxc256e348c4032ebd", |
| | | "setting": { |
| | | "urlCheck": false |
| | | }, |
| | | "usingComponents": true |
| | | }, |
| | | "mp-alipay": { |
| | | "usingComponents": true |
| | | }, |
| | | "mp-baidu": { |
| | | "usingComponents": true |
| | | }, |
| | | "mp-toutiao": { |
| | | "usingComponents": true |
| | | }, |
| | | "h5": { |
| | | "template": "template.h5.html", |
| | | "router": { |
| | | "mode": "hash", |
| | | "base": "/rider/" |
| | | }, |
| | | "sdkConfigs": { |
| | | "maps": { |
| | | "amap": { |
| | | "key": "7fa69abe1defd5888bb85bc736cda874", |
| | | "securityJsCode": "8ac9e5f522c62ed6e3a5800a87b0d140", |
| | | "serviceHost": "" |
| | | } |
| | | } |
| | | } |
| | | } |
| | | "name" : "Rider", |
| | | "appid" : "__UNI__C29A206", |
| | | "description" : "", |
| | | "versionName" : "1.0.0", |
| | | "versionCode" : "100", |
| | | "transformPx" : false, |
| | | /* 5+App特有相关 */ |
| | | "app-plus" : { |
| | | "safearea" : { |
| | | "bottom" : { |
| | | "offset" : "none" |
| | | } |
| | | }, |
| | | "usingComponents" : true, |
| | | "nvueCompiler" : "uni-app", |
| | | "compilerVersion" : 3, |
| | | "splashscreen" : { |
| | | "alwaysShowBeforeRender" : true, |
| | | "waiting" : true, |
| | | "autoclose" : true, |
| | | "delay" : 0 |
| | | }, |
| | | /* 模块配置 */ |
| | | "modules" : { |
| | | "Geolocation" : {} |
| | | }, |
| | | /* 应用发布信息 */ |
| | | "distribute" : { |
| | | /* android打包配置 */ |
| | | "android" : { |
| | | "permissions" : [ |
| | | "<uses-feature android:name=\"android.hardware.camera\"/>", |
| | | "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CAMERA\"/>", |
| | | "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>", |
| | | "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>", |
| | | "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>", |
| | | "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>", |
| | | "<uses-permission android:name=\"android.permission.READ_LOGS\"/>", |
| | | "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>", |
| | | "<uses-permission android:name=\"android.permission.VIBRATE\"/>", |
| | | "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>", |
| | | "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>", |
| | | "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>" |
| | | ] |
| | | }, |
| | | /* ios打包配置 */ |
| | | "ios" : {}, |
| | | /* SDK配置 */ |
| | | "sdkConfigs" : { |
| | | "ad" : {}, |
| | | "geolocation" : { |
| | | "system" : { |
| | | "__platform__" : [ "ios", "android" ] |
| | | } |
| | | } |
| | | } |
| | | } |
| | | }, |
| | | /* 快应用特有相关 */ |
| | | "quickapp" : {}, |
| | | /* 小程序特有相关 */ |
| | | "mp-weixin" : { |
| | | "appid" : "wxc256e348c4032ebd", |
| | | "setting" : { |
| | | "urlCheck" : false |
| | | }, |
| | | "usingComponents" : true |
| | | }, |
| | | "mp-alipay" : { |
| | | "usingComponents" : true |
| | | }, |
| | | "mp-baidu" : { |
| | | "usingComponents" : true |
| | | }, |
| | | "mp-toutiao" : { |
| | | "usingComponents" : true |
| | | }, |
| | | "h5" : { |
| | | "template" : "template.h5.html", |
| | | "router" : { |
| | | "mode" : "hash", |
| | | "base" : "/rider/" |
| | | } |
| | | } |
| | | } |
| New file |
| | |
| | | xÍ=Â0@aæÂ;óÓ$båv¥¦*s¤r¦7}zmC
ü/vôp&ßpñ
hîkà,>2ÆX¢°ÔÊ>öÞ eè·3¯jwð9§8X\±"ºvn¬ÿ
ÜsSSZá'¿Ø>3. |
| | |
| | | "navigationBarTitleText": "主页", |
| | | "enablePullDownRefresh": false |
| | | } |
| | | }, { |
| | | }, |
| | | { |
| | | "path": "pages/taskinfo/detail", |
| | | "style": { |
| | | "navigationBarTitleText": "任务详情", |
| | | "enablePullDownRefresh": false |
| | | } |
| | | |
| | | }, |
| | | { |
| | | "path": "pages/taskinfo/eventsReported", |
| | | "style": { |
| | | "navigationBarTitleText": "事件上报", |
| | | "enablePullDownRefresh": false |
| | | } |
| | | } |
| | | ], |
| | | "globalStyle": { |
| New file |
| | |
| | | <template> |
| | | <view class="container"> |
| | | <u-form :model="form" ref="uForm" :rules="rules"> |
| | | |
| | | <u-form-item label="地址:"> |
| | | <u-input v-model="form.address" placeholder="请输入地址" @click="getAddress"/> |
| | | </u-form-item> |
| | | |
| | | <u-form-item label-width="20%" label="事件类型:" prop="type"> |
| | | <u-input v-model="form.typeText" type="select" @click="showType = true" placeholder="请选择事件类型"/> |
| | | </u-form-item> |
| | | <u-action-sheet |
| | | v-model="showType" |
| | | :list="typeList" |
| | | title="请选择事件类型" |
| | | @click="typeSelect" |
| | | > |
| | | </u-action-sheet> |
| | | |
| | | <u-form-item label-width="20%" label="事件状态:" prop="state"> |
| | | <u-input v-model="form.stateText" type="select" @click="showState = true" placeholder="请选择事件状态"/> |
| | | </u-form-item> |
| | | <u-action-sheet |
| | | v-model="showState" |
| | | :list="stateList" |
| | | title="请选择事件状态" |
| | | @click="stateSelect" |
| | | > |
| | | </u-action-sheet> |
| | | |
| | | <u-form-item label-width="20%" label="事件来源:"> |
| | | <u-input :disabled="true" v-model="form.sourceText" type="select" @click="showSource = true" placeholder="请选择事件来源"/> |
| | | </u-form-item> |
| | | <!-- <u-action-sheet |
| | | v-model="showSource" |
| | | :list="sourceList" |
| | | title="请选择事件状态" |
| | | @click="sourceSelect" |
| | | > |
| | | </u-action-sheet> --> |
| | | |
| | | <u-form-item label-position="top" label-width="25%" label="图片上传:"> |
| | | <u-upload ref="uUpload" :header="header" :action="uploadApi" max-count="5" ></u-upload> |
| | | </u-form-item> |
| | | |
| | | <u-form-item label-position="top" label="备注:"> |
| | | <u-input v-model="form.remark" type="textarea" /> |
| | | </u-form-item> |
| | | </u-form> |
| | | |
| | | <view class="submitBtn"> |
| | | <u-button @click="submit">提交</u-button> |
| | | </view> |
| | | </view> |
| | | |
| | | </template> |
| | | |
| | | <script> |
| | | import {clientId,clientSecret} from '@/common/setting' |
| | | import {add} from "@/api/eventgm/eventgm.js" |
| | | import {getDicList} from "@/api/dict/dict.js" |
| | | export default { |
| | | data() { |
| | | return { |
| | | form: { |
| | | address:"", |
| | | longitude:"", |
| | | latitude:"", |
| | | type:"", |
| | | typeText:"", |
| | | state:"", |
| | | stateText:"", |
| | | source:"APP", |
| | | sourceText:"APP", |
| | | picUrls:[], |
| | | remark:"", |
| | | }, |
| | | rules:{ |
| | | type:[{ |
| | | required:true, |
| | | message:'请选择事件类型', |
| | | trigger:'blur' |
| | | }], |
| | | state:[{ |
| | | required:true, |
| | | message:'请选择事件状态', |
| | | trigger:'blur' |
| | | }], |
| | | |
| | | }, |
| | | //换用其他写法 |
| | | uploadApi:"http://localhost/blade-resource/oss/endpoint/put-file-attach", |
| | | header:{}, |
| | | showType:false, |
| | | typeList:[], |
| | | showState:false, |
| | | stateList:[], |
| | | showSource:false, |
| | | sourceList:[ |
| | | { |
| | | text: 'WEB', |
| | | value:'WEB' |
| | | }, |
| | | { |
| | | text: 'APP', |
| | | value:'APP' |
| | | }, |
| | | ], |
| | | }; |
| | | }, |
| | | onReady() { |
| | | this.$refs.uForm.setRules(this.rules); |
| | | }, |
| | | created() { |
| | | this.getType() |
| | | this.getState() |
| | | this.getHeader() |
| | | }, |
| | | methods:{ |
| | | getHeader(){ |
| | | let accessToken = uni.getStorageSync('accessToken'); |
| | | if (accessToken) { |
| | | this.header['Blade-Auth'] = 'bearer ' + accessToken; |
| | | } |
| | | // 客户端认证参数 |
| | | this.header['Authorization'] = 'Basic ' + Base64.encode(clientId + ':' + clientSecret); |
| | | }, |
| | | getAddress(){ |
| | | uni.getLocation({ |
| | | type: 'wgs84', |
| | | isHighAccuracy:true, |
| | | geocode:true, |
| | | success: res=> { |
| | | console.log(res) |
| | | console.log('当前位置的经度:' + res.longitude); |
| | | console.log('当前位置的纬度:' + res.latitude); |
| | | this.form.longitude = res.longitude |
| | | this.form.latitude = res.latitude |
| | | } |
| | | }); |
| | | }, |
| | | //获取数据字典 |
| | | getType(){ |
| | | getDicList("EVENT_TYPE").then(res=>{ |
| | | if(res.code == 200){ |
| | | res.data.forEach(e=>{ |
| | | this.typeList.push({ |
| | | text:e.dictValue, |
| | | key:e.dictKey |
| | | }) |
| | | }) |
| | | } |
| | | }) |
| | | }, |
| | | getState(){ |
| | | getDicList("EVENT_STATE").then(res=>{ |
| | | if(res.code == 200){ |
| | | res.data.forEach(e=>{ |
| | | this.stateList.push({ |
| | | text:e.dictValue, |
| | | key:e.dictKey |
| | | }) |
| | | }) |
| | | } |
| | | }) |
| | | }, |
| | | //选择事件 |
| | | typeSelect(index){ |
| | | this.form.typeText = this.typeList[index].text |
| | | this.form.type = this.typeList[index].key |
| | | }, |
| | | stateSelect(index){ |
| | | this.form.stateText = this.stateList[index].text |
| | | this.form.state = this.stateList[index].key |
| | | }, |
| | | sourceSelect(index){ |
| | | this.form.sourceText = this.sourceList[index].text |
| | | this.form.source = this.sourceList[index].value |
| | | }, |
| | | submit(){ |
| | | this.$refs.uForm.validate(valid => { |
| | | if (valid) { |
| | | let lists = this.$refs.uUpload.lists |
| | | if(lists.length>0){ |
| | | lists.forEach(e=>{ |
| | | this.form.picUrls.push({ |
| | | label:e.response.data.name, |
| | | value:e.response.data.link |
| | | }) |
| | | }) |
| | | }else{ |
| | | this.form.picUrls = null |
| | | } |
| | | add(this.form).then(res=>{ |
| | | if(res.code ==200){ |
| | | uni.redirectTo({ |
| | | url:"/pages/taskinfo/list" |
| | | }) |
| | | } |
| | | }) |
| | | } |
| | | }); |
| | | } |
| | | } |
| | | }; |
| | | </script> |
| | | |
| | | <style scoped> |
| | | .container{ |
| | | padding: 20px; |
| | | } |
| | | </style> |
| | |
| | | </view> |
| | | </view> |
| | | <view class="onve-right"> |
| | | <u-button class='greens' size="mini" v-if="current == 0">开始任务</u-button> |
| | | <u-button class='greens' size="mini" v-if="current == 1">完成任务</u-button> |
| | | <u-button class='o-r-down' plain type="error" size="mini" v-if="current == 1">事件上报 |
| | | <u-button class='greens' size="mini" v-if="current == 0" @click="startTask(item)">开始任务</u-button> |
| | | <u-button class='greens' size="mini" v-if="current == 1" @click="finishTask(item)">完成任务</u-button> |
| | | <u-button class='o-r-down' plain type="error" size="mini" v-if="current == 1" @click="goToEventsReported">事件上报 |
| | | </u-button> |
| | | </view> |
| | | </view> |
| | |
| | | |
| | | <script> |
| | | import { |
| | | getList |
| | | getList,update |
| | | } from "@/api/taskinfo/taskinfo"; |
| | | export default { |
| | | data() { |
| | |
| | | uni.navigateTo({ |
| | | url: '/pages/taskinfo/detail?id=' + id |
| | | }) |
| | | }, |
| | | //任务开始事件 |
| | | startTask(item){ |
| | | item.state = '1' |
| | | item.routeRange = '\'' + item.routeRange + '\'' |
| | | update(item).then(res=>{ |
| | | if(res.code == 200){ |
| | | this.page.currentPage = 1 |
| | | this.getList() |
| | | } |
| | | }) |
| | | }, |
| | | //任务结束事件 |
| | | finishTask(item){ |
| | | item.state = '2' |
| | | item.routeRange = '\'' + item.routeRange + '\'' |
| | | update(item).then(res=>{ |
| | | if(res.code == 200){ |
| | | this.page.currentPage = 1 |
| | | this.getList() |
| | | } |
| | | }) |
| | | }, |
| | | //事件上报 |
| | | goToEventsReported(){ |
| | | uni.navigateTo({ |
| | | url:"../taskinfo/eventsReported" |
| | | }) |
| | | } |
| | | } |
| | | } |
| New file |
| | |
| | | 8fe8a906a5a5cc31c8aee6953db98ab275def06d |